Package in.cdac.medinfo.csnotk.csnolib.model

## Class Identifier

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent
  - - in.cdac.medinfo.csnotk.csnolib.model.Identifier

-     public class Identifier
      extends VersionedComponent

  Class inherited from `VersionedComponent` class. Provides scope to associate alternate identifiers from other schemes with any SNOMED CT Component. It is currently not in use.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Identifier()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAlternateIdentifier()` | Returns id of the alternate identifier in other scheme.
    `java.lang.String` | `getIdentifierSchemeId()` | Returns the Id of the identifier scheme.
    `java.lang.String` | `getReferencedComponentId()` | Returns the SNOMED CT Component id associated with the alternate identifier.
    `void` | `setAlternateIdentifier​(java.lang.String alternateIdentifier)` | Sets the alternate identifier value.
    `void` | `setIdentifierSchemeId​(java.lang.String identifierSchemeId)` | sets the id of the identifier scheme.
    `void` | `setReferencedComponentId​(java.lang.String referencedComponentId)` | Sets the SNOMED CT Component id associated with the alternate identifier .

    - ### Methods inherited from class in.cdac.medinfo.csnotk.csnolib.model.VersionedComponent

      `getActiveStatus, getModuleId, getTime, setActiveStatus, setModuleId, setTime`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Identifier

          public Identifier()

  - ### Method Detail

    - #### getIdentifierSchemeId

          public java.lang.String getIdentifierSchemeId()

      Returns the Id of the identifier scheme.
      Returns:
        identifierSchemeId

    - #### setIdentifierSchemeId

          public void setIdentifierSchemeId​(java.lang.String identifierSchemeId)

      sets the id of the identifier scheme.
      Parameters:
        `identifierSchemeId` - Id of identifier scheme.

    - #### getAlternateIdentifier

          public java.lang.String getAlternateIdentifier()

      Returns id of the alternate identifier in other scheme.
      Returns:
        alternate Identifier.

    - #### setAlternateIdentifier

          public void setAlternateIdentifier​(java.lang.String alternateIdentifier)

      Sets the alternate identifier value.
      Parameters:
        `alternateIdentifier` - Id of the alternate identifier in other scheme.

    - #### getReferencedComponentId

          public java.lang.String getReferencedComponentId()

      Returns the SNOMED CT Component id associated with the alternate identifier.
      Returns:
        referencedComponentId SNOMED CT Component id associated with the alternate identifier.

    - #### setReferencedComponentId

          public void setReferencedComponentId​(java.lang.String referencedComponentId)

      Sets the SNOMED CT Component id associated with the alternate identifier .
      Parameters:
        `referencedComponentId` - SNOMED CT Component id associated with the alternate identifier.